- can be shown with [[Loop invariants]]
- you can prove that an algorithm is correct - aka it returns the correct output and terminates.
- an incorrect algorithm can still be useful though - if you can control its error rate!
